// 加载商品
function querygoods(type, callback) {

	var isleft = $("#nowpage").val();

	if (type == "0") {
	
		showloading();
		if (isleft == "goods") {
			$("#goodspagenum").val("1");
		} else {
			$("#glpagenum").val("1");
		}
	}
	
	//var searchkey = $("#searchkey").val();

	var parm = $(".vd-active");
	var vdparm = "";
	var priceparm = "";
	var orderparm = "";
	for (var i = 0; i < parm.length; i++) {
		var vid = $(parm[i]).attr("data-vid");
		vdparm += vid + ",";
	}

	var prparm = $(".pr-active");
	if (prparm.length == 1) {
		var min = $(prparm[0]).attr("data-min");
		var max = $(prparm[0]).attr("data-max");
		priceparm = min + "-" + max;
	}
	if (isleft == "goods") {
		loadgoods(vdparm, priceparm, type, searchkey,callback);
	} else {
		loadgl(vdparm, type, callback);
	}

}

// 加载礼品列表
function loadgoods(vdparm, priceparm, type,searchkey, callback) {
	var searchkey = api.pageParam.searchkey;
	var html = "";
	var orderparm = "";

	var orderlist = $(".sort li a[data-select='1']");

	if (orderlist.length == 1) {
		orderparm = $(orderlist[0]).attr("data-order") + "," + $(orderlist[0]).attr("data-sort")
	}
	if (searchkey == null || searchkey == undefined) {
		searchkey = "";
	}
	var num = $("#goodspagenum").val();

	api.ajax({
		url : getRootPath() + "/api/goodspool/goods_list",
		method : 'get',
		data : {
			values : {
				pageNumber : num,
				vdparm : vdparm,
				priceparm : priceparm,
				orderparm : orderparm,
				searchkey : searchkey
			}
		},
	}, function(ret, err) {

		if (ret) {
			for (var i = 0; i < ret.length; i++) {
				var id = ret[i].goods_id;
				var name = ret[i].goods_productname;
				var title = ret[i].goods_title;
				var ap = ret[i].activity_price;
				var rp = ret[i].goods_relprice;
				var col = ret[i].collect_num;
				var src = ret[i].goods_mainimagepath;
				if (col == null) {
					col = 0;
				}
				html += "<div class=\"good_Div\" data-goodsid=\"" + id + "\">";
				html += "<div class=\"collect-Div\"><div class=\"collect\">";
				html += "<span class=\"people-num\">" + col + "</span><span class=\"save-icon\"></span></div></div>";
				html += "<div class=\"goodsImg\"><img src=\"" + src + "\"></div>";
				html += "<span class=\"goods-title\">" + name + "</span><span class=\"goods-name\">" + title + "</span>";
				html += "<span class=\"goods-price\">¥" + rp + "</span></div>";

			}
			if (ret.length % 2 == 1) {
				html += "<div class=\"good_Div\" style=\"background-color: #efefef;\"></div>";
			}

			if (type == 0) {
				$("#goodslist").html(html);
				document.getElementById(goodsmyscroll.scroller.id).style.webkitTransform = "translate(0px,0px)";
				goodsmyscroll.y = 0;
				if (ret.length == 0) {
					$('#scroller .pullUp').addClass('loading').html('<span class="pullUpLabel">已加载全部</span>');
					setTimeout(function() {
						$('#scroller .pullUp').removeClass('loading').html('已加载全部');

					}, 1000);
					$("#goodslist").html("<div class=\"noorder\" style=\"margin-bottom: 10px;\">无匹配礼品</div>");
				} else {
					$("#goodspagenum").val(parseInt(num) + 1);
				}
			} else {
				if (ret.length == 0) {
					$('#scroller .pullUp').addClass('loading').html('<span class="pullUpLabel">已加载全部</span>');
					setTimeout(function() {
						$('#scroller .pullUp').removeClass('loading').html('已加载全部');

					}, 1000);
				} else {
					$("#goodspagenum").val(parseInt(num) + 1);
				}
				$("#goodslist").append(html);
			}
			hideloading();

			if (callback != null) {
				callback();
			}
		} else {
			alert("请求错误");
			hideloading();
		}
	});

}

//加载攻略
function loadgl(vdparm, type, callback) {
	var html = "";
	var num = $("#glpagenum").val();
	api.ajax({
		url : getRootPath() + "/api/homeajax/gllist",
		method : 'get',
		data : {
			values : {
				pageNumber : num,
				veidooId : vdparm
			}
		},
	}, function(ret, err) {
		if (ret) {
			for (var i = 0; i < ret.length; i++) {
				var id = ret[i].activity_id;
				var title = ret[i].activity_title;
				var subtitle = ret[i].activity_subtitle;
				var col = ret[i].activity_like;
				var src = ret[i].activity_mainimage;

				html += "<div class=\"strategy\" data-goodsid=\"" + id + "\"><div class=\"gl-img\"><a href=\"#\"><img src=\"" + src + "\"></a></div>";
				html += "<div class=\"gl-title\">";
				html += "<span class=\"title\">" + title + "</span><div class=\"collect\">";
				html += "<span class=\"save-icon\"></span><span class=\"save-num\">" + col + "</span></div></div>";
				html += "<div class=\"gl-txt\"><div class=\"txt-1\">" + subtitle + "</div>";
			    // html += "<span class=\"txt-2\">"+subtitle+"</span>";
				html += "</div></div>";
			}

			if (type == 0) {
				$("#gllist").html(html);
				if (ret.length == 0) {
					$('#scroller1 .pullUp').addClass('loading').html('<span class="pullUpLabel">已加载全部</span>');
					setTimeout(function() {
						$('#scroller1 .pullUp').removeClass('loading').html('已加载全部');

					}, 1000);
					$("#gllist").html("<div class=\"noorder\" style=\"margin-bottom: 10px;\">无匹配攻略</div>");
				} else {
					$("#glpagenum").val(parseInt(num) + 1);
				}

				document.getElementById(glmyscroll.scroller.id).style.webkitTransform = "translate(0px,0px)";
				glmyscroll.y = 0;
			}else{
				if (ret.length == 0) {
					$('#scroller1 .pullUp').addClass('loading').html('<span class="pullUpLabel">已加载全部</span>');
					setTimeout(function() {
						$('#scroller1 .pullUp').removeClass('loading').html('已加载全部');

					}, 1000);
				} else {
					$("#glpagenum").val(parseInt(num) + 1);
				}
				$("#gllist").append(html);
			}
			hideloading();
			if (callback != null) {
				callback();
			}
		} else {
			alert("异常");
			hideloading();
		}
	});

}

//加载维度
function loadvd(tempvdid) {

	var dx = "", ch = "", jr = "", fg = "";
	api.ajax({
		url : getRootPath() + "/api/goodspool/vdlist",
		method : 'get',
	}, function(ret, err) {
		if (ret) {
			for (var i = 0; i < ret.length; i++) {
				var id = ret[i].id;
				var pid = ret[i].veidooParentid;
				var name = ret[i].veidooName;
				// 瀵硅薄9
				if (pid == "9") {
					dx += "<li data-vid=\"" + id + "\"><i></i>";
					dx += "<span>" + name + "</span>";
					dx += "</li>";
				}
				// 鍦哄悎 22
				if (pid == "22") {
					ch += "<li data-vid=\"" + id + "\"><i></i>";
					ch += "<span>" + name + "</span>";
					ch += "</li>";
				}
				if (pid == "34") {
					jr += "<li data-vid=\"" + id + "\"><i></i>";
					jr += "<span>" + name + "</span>";
					jr += "</li>";
				}
				if (pid == "49") {
					fg += "<li data-vid=\"" + id + "\"><i></i>";
					fg += "<span>" + name + "</span>";
					fg += "</li>";
				}
			}

			$("#dx").append(dx);
			$("#ch").append(ch);
			$("#jr").append(jr);
			$("#fg").append(fg);

			var price = "";
			price += "<li data-min='0' data-max='100'>";
			price += "<i></i>";
			price += "<span>0~100</span></li>";

			price += "<li data-min='100' data-max='500'>";
			price += "<i></i>";
			price += "<span>100~500</span></li>";

			price += "<li data-min='500' data-max='1000'>";
			price += "<i></i>";
			price += "<span>500~1000</span></li>";

			price += "<li data-min='1000' data-max='5000'>";
			price += "<i></i>";
			price += "<span>1000~5000</span></li>";
			$("#price").append(price);

			if (tempvdid != "") {

				$(".vdul li[data-vid=" + tempvdid + "]").addClass("vd-active");
			}
		} else {
			alert("请求错误");
		}
	});

}

//礼品列表 点击礼品进入详情
$(function() {
	$("#goodslist").on("click", ".good_Div", function() {
		var id = $(this).attr("data-goodsid");

		api.openWin({
			name : 'goodsdetail',
			pageParam : {
				id : id
			},
			vScrollBarEnabled : "ture",
			url : "goodsdetail.html",
		});

	})

	$("#gllist").on("click", ".strategy", function() {
		var id = $(this).attr("data-goodsid");
		api.openWin({
			name : 'gldetail',
			pageParam : {
				id : id
			},
			slidBackEnabled : false,
			url : '../gldetail.html'
		});
	})
})

