/**
 * Created by Administrator on 2016/11/9 0009.
 */
// type 0 点击排序 1 直接下拉
function querygoods(type, callback) {
	var tabindex = $("#tabindex").val();

	if (type == "0") {

		if (tabindex == "0") {
			$("#goodspagenum").val("1");
		} else {
			$("#glpagenum").val("1");
		}
	}

	var vdparm = "";
	var priceparm = "";
	var orderparm = "";

	var parm = $(".vd-active");
	if (parm.length == 1) {
		vdparm = $(parm[0]).attr("data-vid");
	}

	var prparm = $(".pr-active");
	if (prparm.length == 1) {
		var min = $(prparm[0]).attr("data-min");
		var max = $(prparm[0]).attr("data-max");
		priceparm = min + "-" + max;
	}
	if (tabindex == "0") {
		loadgoods(vdparm, priceparm, type, callback);
	} else {
		loadgl(vdparm, type, callback);
	}
}
// 加载礼品列表
function loadgoods(vdparm, priceparm, type, callback) {
    var html = "";
    var orderparm = "";

    var orderlist = $(".sort li a[data-select='1']");

    if (orderlist.length == 1) {
        orderparm = $(orderlist[0]).attr("data-order") + "," + $(orderlist[0]).attr("data-sort")
    }

    var num = $("#goodspagenum").val();

    api.ajax({
        url : getRootPath() + "/api/goodspool/goods_list_coll",
        method: 'GET',
        data : {
            values:{
            pageNumber : num,
            veidooId : vdparm,
            priceparm : priceparm,
            orderparm : orderparm
            }
        },
    }, function(ret, err){
        if (ret) {
				if (ret.length == 0) {
					$('#scroller .pullUp').removeClass('loading').html('已加载全部');
					hideloading();
					$(".loadgd").html("暂无数据");
					return;
				} else {
					$("#goodspagenum").val(parseInt(num) + 1);
				}
                for (var i = 0; i < ret.length; i++) {
                    var id = ret[i].goods_id;
                    var name = ret[i].goods_productname;
                    var title = ret[i].goods_title;
                    var ap = ret[i].activity_price;
                    var rp = ret[i].goods_relprice;
                    var col = ret[i].collect_num;
                    var src = ret[i].goods_mainimagepath;
                    if (col == null) {
                        col = 0;
                    }


                    html += "<div class=\"good_Div\" data-goodsid=\"" + id + "\">";
                    html += "<div class=\"collect-Div\"><div class=\"collect\">";
                    html += "<span class=\"people-num\">" + col + "</span><span class=\"save-icon\"></span></div></div>";
                    html += "<div class=\"goodsImg\"><img src=\"" + src + "\"></div>";
                    html += "<span class=\"goods-title\">" + name + "</span><span class=\"goods-name\">" + title + "</span>";
                    html += "<span class=\"goods-price\">￥" + rp + "</span></div>";

                }
                if (ret.length % 2 == 1) {
                    html += "<div class=\"good_Div\" style=\"background-color: #efefef;\"></div>";
                }

                if (type == 0) {
                    $("#goodslist").html(html);
                } else {
                    $("#goodslist").append(html);
                }

                if (callback != null) {
                    callback();
                }

        }else{

                // view("异常！");
                alert("异常！");

        }

    });
}

// 加载攻略
function loadgl(vdparm, type, callback) {

    var html = "";
    var num = $("#glpagenum").val();
    api.ajax({
        url : getRootPath() + "/api/homeajax/gllist_coll",
        method: 'GET',
        data : {values:{
            pageNumber : num,
            veidooId : vdparm
        }},
    }, function(ret, err) {
        if (ret) {
			if (ret.length == 0) {
				$('#scroller1 .pullUp').addClass('loading').html('<span class="pullUpLabel">已加载全部</span>');
				setTimeout(function() {
					$('#scroller1 .pullUp').removeClass('loading').html('已加载全部');

				}, 1000);
				
				$(".loadgl").html("暂无数据");
				return;
			} else {
				$("#glpagenum").val(parseInt(num) + 1);
			}

			for (var i = 0; i < ret.length; i++) {
				var id = ret[i].activity_id;
				var title = ret[i].activity_title;
				var subtitle = ret[i].activity_subtitle;
				var col = ret[i].activity_like;
				var src = ret[i].activity_mainimage;

				//var url = getRootPath() + "/app/gldetail?glid=" + id;

				html += "<div class=\"strategy\" data-goodsid=\"" + id + "\"><div class=\"gl-img\"><img src=\"" + src + "\"></div>";
				html += "<div class=\"gl-title\">";
				html += "<span class=\"title\">" + title + "</span><div class=\"collect\">";
				html += "<span class=\"save-icon\"></span><span class=\"save-num\">" + col + "</span></div></div>";
				html += "<div class=\"gl-txt\"><div class=\"txt-1\">" + subtitle + "</div>";
				// html += "<span class=\"txt-2\">"+subtitle+"</span>";
				html += "</div></div>";
			}

			if (type == 0) {
				$("#gllist").html(html);
				if (ret.length == 0) {
					$(".loadgl").html("暂无收藏");
				}
			} else {
				$("#gllist").append(html);
			}

			if (callback != null) {
				callback();
			}

        }else{
                // view("异常！");
                alert("异常！");

        }

    });
}

// 礼品列表 点击礼品进入详情
$(function() {
    $("#goodslist").on("click", ".good_Div", function() {
        var id = $(this).attr("data-goodsid");
        // window.location.href = "../app/goodsdetail?goodsId=" + id;
        api.openWin({
            name: 'goodsdetail',
            pageParam:{id:id},
            vScrollBarEnabled:"ture",
            url : "../goodslist/goodsdetail.html",
        });
    });
    
    $("#gllist").on("click",".strategy",function(){
		var id = $(this).attr("data-goodsid");	
		api.openWin({
            name: 'gldetail',
            pageParam:{id:id},
            url: '../gldetail.html'
        });		
	})
});